/*
 * sphObjectSource.h
 *
 *  Created on: Jul 4, 2016
 *  Author: Chiranjib Sur <csur@linuxmail.org>
 */

#ifndef SPHOBJECTSOURCE_H_
#define SPHOBJECTSOURCE_H_

#include <vtkSmartPointer.h>
#include <vtkPolyDataAlgorithm.h>
#include "sphObject.h"

class sphObject;
class sphObjectSource : public vtkPolyDataAlgorithm
{
public:
	vtkTypeMacro(sphObjectSource,vtkPolyDataAlgorithm);

	static sphObjectSource *New();

	sphObjectSource();
	virtual ~sphObjectSource();

	virtual void SetThisObject( sphObject*);
	vtkGetObjectMacro(ThisObject,sphObject);

protected:
	sphObject *ThisObject;

private:
	sphObjectSource(const sphObjectSource&);  // Not implemented.
	void operator=(const sphObjectSource&);  // Not implemented.
};

#endif /* SPHOBJECTSOURCE_H_ */
